## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name sgqlc
%global forgeurl https://github.com/profusion/sgqlc

Name:           python-%{pypi_name}
Version:        16.5
Release:        %{autorelease}
Summary:        Simple GraphQL Client
%forgemeta
License:        ISC
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-pytest

%global _description %{expand:
This package offers an easy to use GraphQL client.}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%forgeautosetup -p1

# Allow building with Python 3.13+
sed -i 's/,<3.13//' pyproject.toml

# Disable coverage and doctest
sed -i -e "s/--cov.* //g" -e "s/ --cov.*'/'/" -e "s/ --doctest.*'/'/" pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -x  websocket,requests


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -L %{pypi_name}


%check
%pytest -v


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.* AUTHORS
%license LICENSE
%{_bindir}/sgqlc-codegen


%changelog
## START: Generated by rpmautospec
* Wed Jun 04 2025 Packit <hello@packit.dev> - 16.5-1
- Update to 16.5 upstream release
- Resolves: rhbz#2370301

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 16.4-4
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 16.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 17 2024 Sandro <devel@penguinpee.nl> - 16.4-2
- Drop upper bound on python

* Fri Sep 13 2024 Packit <hello@packit.dev> - 16.4-1
- Update to 16.4 upstream release
- Resolves: rhbz#2312256

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 16.3-6
- Rebuilt for Python 3.13

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 16.3-5
- Fix Packit config

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 16.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sandro <devel@penguinpee.nl> - 16.3-2
- Add Packit config

* Thu Jan 11 2024 Sandro <devel@penguinpee.nl> - 16.3-1
- New package (RHBZ#2257914)
## END: Generated by rpmautospec
